Forum |  HardWare.fr | News | Articles | PC | S'identifier | S'inscrire | Shop Recherche
1675 connectés 

  FORUM HardWare.fr
  Linux et OS Alternatifs
  Installation

   - Resolu - Impossible d'installer java sur débian...

 



 Mot :   Pseudo :  
 
Bas de page
Auteur Sujet :

- Resolu - Impossible d'installer java sur débian...

n°1045898
cvb
Posté le 28-05-2008 à 09:41:20  profilanswer
 

Bonjour,
 
Je viens vers vous suite car j'ai des soucis avec une débian, plus précisément de l'installation du serveur RED 5...
 
En effet, en suivant de nombreux tutoriels sur le net, il faut que JAVA soit installé ( Java 5 ). C'est une condition obligatoire.
C'est là ou commence les ennuis.  Quand je désire installer JAVA, ils demandent plusieurs paquets (il y de nombreuses dépendances) qui ne va évidement pas chercher tout seul....
 
 
Le dernier paquet ( ia32-sun-java5-bin ) n'existe pas pour les processeurs Intel (i386). Comment avez-vous procédez pour installer JAVA sur une débian avec un processeur Intel ? Avez-vous déjà installé un serveur RED 5 sur une débian avec un processeur Intel ?  
 
http://packages.debian.org/etch/ia32-sun-java5-bin
 
 
D'avance merci pour les réponse
CVb

Message cité 1 fois
Message édité par cvb le 28-05-2008 à 11:45:22
mood
Publicité
Posté le 28-05-2008 à 09:41:20  profilanswer
 

n°1045900
o'gure
Modérateur
Multi grognon de B_L
Posté le 28-05-2008 à 09:45:18  profilanswer
 

aptitude update
aptitude install sun-java5-jre
 
[:spamafote]


---------------
Ton Antoine commence à me les briser menus !
n°1045902
wedgeant
Da penguin inside
Posté le 28-05-2008 à 09:50:50  profilanswer
 

cvb a écrit :

Le dernier paquet ( ia32-sun-java5-bin ) n'existe pas pour les processeurs Intel (i386)


comment ça il existe pas ? [:opus dei]


---------------
Wedge#2487 @HS -#- PW: +∞ -#- Khaz-Modan/Boltiz @WoW
n°1045903
cvb
Posté le 28-05-2008 à 09:51:17  profilanswer
 

o'gure a écrit :

aptitude update
aptitude  
 
[:spamafote]


 
Bonjour,
 
Lors de la mise à jour, ce paquet ne s'y trouve pas ! j'ai été obligé d'aller les chercher à la main directement sur le site de Débian.  
Quand je désire installer ce paquet install sun-java5-jre, il demandent celui qui n'existe pas pour Intel d'où mon problème...
 
Comment faire ?  
 
D'avance merci

n°1045904
o'gure
Modérateur
Multi grognon de B_L
Posté le 28-05-2008 à 09:51:53  profilanswer
 

tu peux montrer ton fichier
/etc/apt/sources.list
?


---------------
Ton Antoine commence à me les briser menus !
n°1045905
cvb
Posté le 28-05-2008 à 09:52:40  profilanswer
 

wedgeant a écrit :


comment ça il existe pas ? [:opus dei]


 
 
Sur le site de débian, mode stable, aucun téléchargement pour i386 ;)
 
 

Télécharger ia32-sun-java5-bin
Télécharger pour toutes les architectures proposées Architecture  Taille du paquet  Espace occupé  Fichiers
amd64  21,884.5 ko 64844 ko  [liste des fichiers]
ia64  21,886.4 ko 65400 ko  [liste des fichiers]  


 
 
@++

n°1045906
cvb
Posté le 28-05-2008 à 09:53:37  profilanswer
 

o'gure a écrit :

tu peux montrer ton fichier
/etc/apt/sources.list
?


 
 
Oui je te le montre d'ici 5 min...;) le temps de démarrer le serveur, je suis sur une station apparentière...;)

n°1045908
o'gure
Modérateur
Multi grognon de B_L
Posté le 28-05-2008 à 09:59:27  profilanswer
 

http://packages.debian.org/stable/sun-java5-jre
Architecture : all  / Repository : non-free

 

http://packages.debian.org/etch/sun-java5-bin
Architecture : i386 & amd64  / Repository : non-free

 

Je ne vois pas le probleme, c'est quoi ton proc ?

Message cité 1 fois
Message édité par o'gure le 28-05-2008 à 09:59:59

---------------
Ton Antoine commence à me les briser menus !
n°1045909
cvb
Posté le 28-05-2008 à 10:02:00  profilanswer
 

o'gure a écrit :

http://packages.debian.org/stable/sun-java5-jre
Architecture : all  / Repository : non-free
 
http://packages.debian.org/etch/sun-java5-bin
Architecture : i386 & amd64  / Repository : non-free
 
Je ne vois pas le probleme, c'est quoi ton proc ?


 
 
J'ai trouvé tout ces paquets, je les ai même installé...
Sauf que l'installation plante car il depédent de paquet divers dont le paquet qui n'existe pas pour Intel...
 
Je te mets le fichier...je suis sur le serveur

n°1045911
cvb
Posté le 28-05-2008 à 10:06:39  profilanswer
 

Bonjour,
 
Voici le fichier source.list que tu m'a demandé  
 

#  
# deb cdrom:[Debian GNU/Linux 4.0 r3 _Etch_ - Official i386 kde-CD Binary-1 20080217-12:08]/ etch contrib main
 
deb cdrom:[Debian GNU/Linux 4.0 r3 _Etch_ - Official i386 kde-CD Binary-1 20080217-12:08]/ etch contrib main
 
deb http://security.debian.org/ etch/updates main contrib
deb-src http://security.debian.org/ etch/updates main contrib


 
 
 
Pour informations j'ai passé mon aprés-midi à chercher les package et les installer. Les dépendances sont nombreuses...C'est pour ça que je suis là ce matin , au sujet de ce dernier paquet bien ennuyeux....
 
++

mood
Publicité
Posté le 28-05-2008 à 10:06:39  profilanswer
 

n°1045912
o'gure
Modérateur
Multi grognon de B_L
Posté le 28-05-2008 à 10:06:58  profilanswer
 

Tu les installes comment ?
Automatiquement via apt-get, aptitude, synaptic
A la mano  ?
 
Peux tu copier coller exactement le message d'erreur ?


---------------
Ton Antoine commence à me les briser menus !
n°1045913
o'gure
Modérateur
Multi grognon de B_L
Posté le 28-05-2008 à 10:08:16  profilanswer
 

C'est ce que je disais ton sources.list est incomplet, tu n'as que les mises à jours de sécurité + le contenu de ton cdrom. Et encore il te manque tout ce qui concerne non-free.
[:spamafote]


---------------
Ton Antoine commence à me les briser menus !
n°1045914
Riot
Buy me a riot
Posté le 28-05-2008 à 10:08:55  profilanswer
 

cvb a écrit :

Bonjour,

 

Voici le fichier source.list que tu m'a demandé

 

#
# deb cdrom:[Debian GNU/Linux 4.0 r3 _Etch_ - Official i386 kde-CD Binary-1 20080217-12:08]/ etch contrib main

 

deb cdrom:[Debian GNU/Linux 4.0 r3 _Etch_ - Official i386 kde-CD Binary-1 20080217-12:08]/ etch contrib main

 

deb http://security.debian.org/ etch/updates main contrib
deb-src http://security.debian.org/ etch/updates main contrib

  

Pour informations j'ai passé mon aprés-midi à chercher les package et les installer. Les dépendances sont nombreuses...C'est pour ça que je suis là ce matin , au sujet de ce dernier paquet bien ennuyeux....

 

++


Tu as oublié de rajouter 'non-free' dans ton fichier.
Il faut qu'il ressemble à ça :

 
Citation :

deb http://ftp.fr.debian.org/ etch main contrib non-free
deb-src http://ftp.fr.debian.org/ etch main contrib non-free
deb http://security.debian.org/ etch/updates main contrib non-free
deb-src http://security.debian.org/ etch/updates main contrib non-free


Message édité par Riot le 28-05-2008 à 10:14:35

---------------
Be the one with the flames.
n°1045915
o'gure
Modérateur
Multi grognon de B_L
Posté le 28-05-2008 à 10:09:40  profilanswer
 

Il doit contenir :

deb http://ftp.fr.debian.org/debian/ etch main contrib non-free
deb http://security.debian.org/ etch/updates main contrib non-free


 
ensuite fait un aptitude update
puis installe le normalement avec aptitude
 
http://formation-debian.via.ecp.fr/
http://formation-debian.via.ecp.fr/ch18.html#id2567727


---------------
Ton Antoine commence à me les briser menus !
n°1045918
cvb
Posté le 28-05-2008 à 10:10:57  profilanswer
 

o'gure a écrit :

C'est ce que je disais ton sources.list est incomplet, tu n'as que les mises à jours de sécurité + le contenu de ton cdrom. Et encore il te manque tout ce qui concerne non-free.
[:spamafote]


 
 
Je n'ai jamais modifier ce fichier il est natif de l'installation...
Comment procédez donc pour faire les mises à jours ?
 
En faisant un apt-get update ?
 
Je te mets le message d'erreur...
 
 
D'avance merci

n°1045921
o'gure
Modérateur
Multi grognon de B_L
Posté le 28-05-2008 à 10:12:37  profilanswer
 

Ben une installation de base, c'est bien, mais il y a quand même des petites configurations post-installation à faire. [:spamafote]
 
Réfère toi à la formation Debian que je t'ai indiqué au dessus. Il ne sert à rien de faire du copier coller de cette formation dans ce forum. Tout ce qui intéresse un débutant se trouve dedans


---------------
Ton Antoine commence à me les briser menus !
n°1045922
o'gure
Modérateur
Multi grognon de B_L
Posté le 28-05-2008 à 10:13:31  profilanswer
 

MrHarry a écrit :

Salut,
[Debian Etch - 2.6.18-6-k7]
Je ne sais pas si cela peut t'aider...
Voilà le résultat de la commande sudo apt-cache -f search sun-java5


Avant de coller un pavé, ca serait intéressant de lire le topic et de voir que le problème a été clairement identifié, non ? [:dawa]


---------------
Ton Antoine commence à me les briser menus !
n°1045923
cvb
Posté le 28-05-2008 à 10:13:32  profilanswer
 

J'essaye ça je vous tiens au courant  
Merci :)

n°1045934
dam1330
...
Posté le 28-05-2008 à 10:23:04  profilanswer
 

tiens voila des choses un plus recentes:
 
deb http://www.backports.org/debian etch-backports main contrib non-free
 
 
wget -O - http://backports.org/debian/archive.key | apt-key add -
 
 
On met à jour la liste des paquets:
 
aptitude update
 
 
aptitude install sun-java6-jre

n°1045950
cvb
Posté le 28-05-2008 à 10:46:05  profilanswer
 

meri pour les réponses, je vous tiens au courant de l'avancement :)

n°1046002
cvb
Posté le 28-05-2008 à 11:44:41  profilanswer
 

Me revoilà avec des nouvelles frâiches....Merci pour votre aide, ça fonctionne parfaitement, j'ai pu installer JAVA et le serveur RED 5. Me reste plus qu'à installer DOKEOS... et à tout faire fonctionner...
 
:jap:

n°1046011
dam1330
...
Posté le 28-05-2008 à 11:55:25  profilanswer
 

hehe un utilisateur de red5 :)

n°1046042
cvb
Posté le 28-05-2008 à 12:35:03  profilanswer
 

dam1330 a écrit :

hehe un utilisateur de red5 :)


 
 
Effectivement :) j'étais sous Mac jusqu'à présent, et tout les tutoriels faisaient réfèrence à la debian ou Unbutu :) J'ai due l'installer :)
 
J'espere que la vidéo conférence va fonctionner une fois que j'aurais installé tout les serveurs de e-learning et de streaming :)
 
En parlant de ça j'en profite as tu des liens interressant sur le serveur RED 5 et sa configuration ?  
 
d'avance merci
cvb

mood
Publicité
Posté le   profilanswer
 


Aller à :
Ajouter une réponse
  FORUM HardWare.fr
  Linux et OS Alternatifs
  Installation

   - Resolu - Impossible d'installer java sur débian...

 

Sujets relatifs
Lots de problèmes serveur LAMP [RÉSOLU]tout installer soi même, est ce de la folie?
Debian 3.0, probleme d'encodage en shellImpossibilité d'installer Linux sur mon laptop
Installation impossible en dual bootIPCOP navigation lente [Résolu tout seul comme un grand!]
Installer Linux sur un... Performa 475 :o[Résolu] DVD vidéo gravé sous linux non lisisble avec Windows ?
Raid 1 Logiciel debian et grub...[RESOLU + TUTO]executer script Expect dans Cron
Plus de sujets relatifs à : - Resolu - Impossible d'installer java sur débian...


Copyright © 1997-2018 Hardware.fr SARL (Signaler un contenu illicite / Données personnelles) / Groupe LDLC / Shop HFR